import { AutoMap } from '@automapper/classes';
import { AddressType } from './address.enum';

export class Address {
  @AutoMap()
  uuid?: string;

  @AutoMap()
  position: number;

  @AutoMap()
  lon: number;

  @AutoMap()
  lat: number;

  @AutoMap()
  houseNumber?: string;

  @AutoMap()
  street?: string;

  @AutoMap()
  locality: string;

  @AutoMap()
  postalCode: string;

  @AutoMap()
  country: string;

  @AutoMap()
  type: AddressType;
}
